package ovh.herisson.Clyde.Repositories.ScientificPublications;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Course;
import ovh.herisson.Clyde.Tables.Curriculum;
import ovh.herisson.Clyde.Tables.ScientificPublications.Research;
import ovh.herisson.Clyde.Tables.ScientificPublications.ResearchCoAuthors;
import ovh.herisson.Clyde.Tables.ScientificPublications.Researcher;

public interface ResearchCoAuthorsRepository extends CrudRepository<ResearchCoAuthors,Long> {
   @Query("select distinct rca.coAuthor from ResearchCoAuthors rca where rca.research = ?1")
   Iterable<Researcher> findResearchCoAuthors(Research research);


   @Query("select rca from ResearchCoAuthors rca where rca.research = ?1 and rca.coAuthor =?2")
  ResearchCoAuthors findResearchCoAuthors(Research research, Researcher researcher);
}
